#include <bits/stdc++.h>
#include "locmin.h"
std::pair<int, int> find_locmin_point(int n, int m) {
    int st = 1, dr = m;
    int mij, poz = 1;

    while(st <= dr) {
        mij = st + (dr - st) + 1;
        if(mij < m && value(1, mij) < value(1, mij + 1)) {
            poz = mij;
            dr = mij - 1;
        }
        else st = mij + 1;
    }
    return {1, poz};
}